module AffiliationApi
  class MerchantVersion < AffiliationApi::Resource
    self.resource_path = 'versions'

    attr_accessor :created_at, :event, :merchant

    def merchant
      Merchant.new @merchant['data']
    end

    def created_at
      return nil unless @created_at.present?
      Time.parse(@created_at)
    end
  end
end
